# Class CosmwasmSigner<N, C>

#### Type Parameters

- #### N extends Network

- #### C extends CosmwasmChains

#### Hierarchy

- CosmwasmSigner

#### Implements

- SignOnlySigner<N, C>

- Defined in platforms/cosmwasm/src/testing/signer.ts:56

#####
Index

### Constructors

constructor

### Properties

_account
_chain
_signer

### Methods

address
chain
sign

## Constructors

### constructor

- new CosmwasmSigner<N, C>(_chain, _signer, _account): CosmwasmSigner<N, C>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  - #### C extends "Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira"

  #### Parameters

  - ##### _chain: C

  - ##### _signer: SigningCosmWasmClient

  - ##### _account: string

  #### Returns CosmwasmSigner<N, C>

  - Defined in platforms/cosmwasm/src/testing/signer.ts:59

## Properties

### `Private` _account

_account: string

- Defined in platforms/cosmwasm/src/testing/signer.ts:62

### `Private` _chain

_chain: C

- Defined in platforms/cosmwasm/src/testing/signer.ts:60

### `Private` _signer

_signer: SigningCosmWasmClient

- Defined in platforms/cosmwasm/src/testing/signer.ts:61

## Methods

### address

- address(): string

- #### Returns string

  Implementation of SignOnlySigner.address

  - Defined in platforms/cosmwasm/src/testing/signer.ts:69

### chain

- chain(): C

- #### Returns C

  Implementation of SignOnlySigner.chain

  - Defined in platforms/cosmwasm/src/testing/signer.ts:65

### sign

- sign(tx): Promise<any[]>

- #### Parameters

  - ##### tx: UnsignedTransaction<"Mainnet" | "Testnet" | "Devnet", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">[]

  #### Returns Promise<any[]>

  Implementation of SignOnlySigner.sign

  - Defined in platforms/cosmwasm/src/testing/signer.ts:73

Generated using TypeDoc